# Cartography of Nonreligion and Secularity Research Network

Nonreligion and Secularity Research Network (NSRN) is an international network founded in 2008 with the aim to organize the research on secularity and non-religion in order to offer a stable reference point to researchers active in this emerging field of studies. Initially, the Network mainly offered conferences, workshops and annual lectures. In 2012 the Network founded *Secularism & Nonreligion*, the first journal entirely committed to the academic study of so-called religious nones and modes of secularity. One year later the journal was joined by a dedicated blog, while starting from 2015 NSRN started to publish its book series on *Religion and its others: Studies in Religion, Nonreligion and Secularity*.

Lexical cartography is designed to look at the Research Network in a visual way. Scholars are arranged in the space according to a lexical distance, which means that the more two authors are close, the more their dictionaries overlap. Lexical distance is therefore a similarity measure calculated from abstracts and titles using the TF-IDF algorithm — which enables us to find the most representative keywords for each scholar with respect to the scientific community. We believe that this is a more appropriate way to represent scholarly affinities since relationships are not based on exclusive citations, which rely on and reiterate an academic hierarchy among scholars, but rather on public and sharable verbal units. Isoclines, on the other hand, represent a relative measure of relevance constituted by the sum of TF-IDF scores of the top 60 tokens of a given author.

The current version of the NSRN lexical cartography is available at: https://rodighiero.github.io/NSRN/

For an overview of the geographical distribution of scholars see also: https://chart-studio.plotly.com/~dominik.balazka/2.embed

The cartography focuses on NSRN’s events and publications — this includes workshops, annual lectures, conferences, blog posts, journal articles and books in NSRN’s book series. Editorials, book reviews, event reports, sponsored panel sessions, roundtables and events promoted by NSRN, but not directly connected to the Network were omitted. Other dedicated materials not directly connected to NSRN — e.g. *Secular Studies* journal, special issues on non-religion, etc. — were not considered either. The resulting dataset includes a total of 281 NSRN-related contributions by 250 different authors for years 2008-2020. Due to missing abstracts, removed conference programs, conference web pages being shut off and broken links, it was not possible to recover the data about 2 annual lectures (out of 10), 2 NSRN conferences (out of 7) and all blog posts published between 2013-2015. Based on the publication history of NSRN’s Facebook page and available material, we estimate that roughly 130 unique contributions — i.e. around 32% of the expected total — are currently missing (see [here](https://chart-studio.plotly.com/~dominik.balazka/7) for additional information).

In the first version of this tool, missing cases constituted roughly 54%. A special thanks goes to Stephen Bullivant (St Mary's University), Peter Cameron (University of Ottawa), Ryan T. Cragun (University of Tampa), Stacey Gutkowski (King's College London) and Lois Lee (University of Kent) for their assistance in the ongoing effort to recover the missing data, and to Lori Beaman (University of Ottawa — current director of NSRN) for the support offered to the project.
